<?php

namespace Schaffen\Fiscal\FiscalDocument\Repositories;


use Freelabois\LaravelQuickstart\Extendables\Repository;
use Schaffen\Fiscal\FiscalDocument\Models\FiscalDocumentSerie;

class SdfRepository extends Repository
{

    protected $connection = "dynamicdb";
    protected $model = FiscalDocumentSerie::class;
    public function injectFiltersOnQuery()
    {
        $filial = null;
        $dof_codigo = null;
        extract($this->filters);

        $this->query->when($filial, function ($query) use ($filial, $dof_codigo){
            return $query->when($dof_codigo, function ($query) use ($filial, $dof_codigo){
                return $query->where('sdf_fk_fil_codigo', $filial)->where('sdf_fk_dof_codigo', $dof_codigo);
            });
        });
        
        parent::injectFiltersOnQuery();
    }
}